Summary: a compact, console-only getty
Name: mingetty
Version: 0.9.4
Copyright: GPL
Release: 8
Group: Utilities/System
Source0: ftp://jurix.jura.uni-sb.de/pub/linux/source/system/daemons/mingetty-0.9.4.tar.gz
Patch0: mingetty-0.9.4-make.patch
Patch1: mingetty-0.9.4-glibc.patch
Patch2: mingetty-0.9.4-isprint.patch
Patch3: mingetty-0.9.4-wtmplock.patch
BuildRoot: /var/tmp/mingetty-root
Summary(de): ein kompaktes, auf Konsolen beschrnktes GETTY 
Summary(fr): getty compact, uniquement pour la console
Summary(tr): Ufak bir getty

%description
mingetty, by Florian La Roche, is a lightweight, minimalist getty for
use on virtual consoles only.  mingetty is not suitable for serial
lines (the author recommends using `mgetty' for that purpose).

%description -l de
mingetty von Florian La Roche ist ein kleiner, minimalistischer getty
fr die Verwendung an virtuellen Konsolen. Er ist nicht fr serielle
Leitungen geeignet (der Autor empfiehlt fr diesen Zweck`mgetty').

%description -l fr
mingetty, de Florian La Roche, est un getty rduit et allg pour
console virtuelle uniquement. mingetty n'est pas adapt pour les lignes
srie (l'auteur recommande d'utiliser `mgetty' pour cet usage). 

%description -l tr
Bu pakette seri balant zerinden sisteme girie olanak veren, akll bir
getty srm bulunur. Otomatik arama ve faks destei ierir (salad fax
desteinin tam olarak kullanlabilmesi iin mgetty-sendfax paketi gerekir).

%prep
%setup -q
%patch0 -p0 -b .make
%patch1 -p1 -b .glibc
%patch2 -p1 -b .isprint
%patch3 -p1 -b .wtmplock

%build
make "RPM_OPTS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/man/man8}

install -m 0755 -s mingetty $RPM_BUILD_ROOT/sbin/
install -m 0644 mingetty.8 $RPM_BUILD_ROOT/usr/man/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE COPYING TODO
/sbin/mingetty
/usr/man/man8/mingetty.8

%changelog
* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixed build problems on intel and alpha for manhattan

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
~- built against glibc
